package GUIAnwendungen;
import javax.swing.JFrame;
import javax.swing.JTextArea;
import java.awt.Font;

public class JtextArea {
	/*
	 * -  wird verwendet, um ein großes Texteingabefeld, das aus mehreren Zeilen besteht (Text Area)
	 *    , zur Benutzeroberfläche hinzuzufügen.
	 */
	

	public static void main(String[] args) {

	    JFrame frame = new JFrame("JTextArea demo"); // Hier haben wir ein Objekt der Klasse JFrame erstellt, also ein Fenster, und ihm einen Titel gegeben.
	    frame.setSize(300, 250); // Hier haben wir die Größe des Fensters festgelegt: 300 Breite und 250 Höhe.
	    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // Hier haben wir festgelegt, dass das Programm beendet wird, wenn die Schließen-Schaltfläche des Fensters gedrückt wird.
	    frame.setLayout(null); // Hier haben wir keinen Layout-Manager verwendet, daher legen wir die Position des Textbereichs (Text Area) manuell fest.
	   
	    Font newFont = new Font("Arial", Font.BOLD, 16); 
	    
	    JTextArea textArea = new JTextArea("Enter anything"); // Hier haben wir ein Objekt der Klasse JTextArea erstellt, also einen Textbereich (Text Area).
	    textArea.setBounds(40, 40, 200, 100); // Hier haben wir die Größe und Position des Textbereichs im Fenster festgelegt.
	    
	    
	    frame.add(textArea); // Hier haben wir den Textbereich dem Fenster hinzugefügt.

	    frame.setVisible(true); // Hier haben wir das Fenster sichtbar gemacht.

	}

}
